Đến nội dung


Hình ảnh

ARrray theo kiểu MEasure (DIVide)


  • Please log in to reply
14 replies to this topic

#1 AutoTay.com

AutoTay.com

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 28 October 2010 - 12:39 PM

Có cách nào Array Block theo 1 Spline bất kỳ nhưng khoảng cách giữa các Block lại cách đều nhau theo chiều thẳng (chứ ko phải cách đều nhau theo chiều dài của Spline)?
Mong được giúp đỡ!
  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 28 October 2010 - 03:02 PM

Có cách nào Array Block theo 1 Spline bất kỳ nhưng khoảng cách giữa các Block lại cách đều nhau theo chiều thẳng (chứ ko phải cách đều nhau theo chiều dài của Spline)?
Mong được giúp đỡ!

Thủ công thì vẻ vòng tròn sau đó copy để lấy giao điểm.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 28 October 2010 - 03:11 PM

Thủ công thì vẻ vòng tròn sau đó copy để lấy giao điểm.

Block đối tượng lại, Chú ý chọn Base piont của Block là điểm tâm mà sẽ nằm trên SPL, Sau đó dùng lệnh Me
  • 0
Hoàng Giang

#4 AutoTay.com

AutoTay.com

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 29 October 2010 - 03:56 PM

Block đối tượng lại, Chú ý chọn Base piont của Block là điểm tâm mà sẽ nằm trên SPL, Sau đó dùng lệnh Me

Cách này ko được bạn ah!
Kết quả thu được là các Block chỉ cách nhau 1 khoảng bằng nhau theo chiều dài của Spline.
Chắc phải dùng lisp............
Bác nào rành món nay giúp em với!
Thanhssssssssssssssssssssssssss
  • 0

#5 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 29 October 2010 - 06:00 PM

Cách này ko được bạn ah!
Kết quả thu được là các Block chỉ cách nhau 1 khoảng bằng nhau theo chiều dài của Spline.
Chắc phải dùng lisp............
Bác nào rành món nay giúp em với!
Thanhssssssssssssssssssssssssss

Của bạn đây. Mình mới làm cho bạn theo trục x. Bạn xem có đúng ý bạn không nhé.

(defun c:arspl ()
(setq bl (car (entsel "\nChon doi tuong can array"))
spl (car (entsel "\nChon spline duong dan"))
kc (getreal "\nNhap khoang cach can array: ")
dcb (cdr (assoc 10 (entget bl)))
listep (ACET-GEOM-OBJECT-END-POINTS spl)
p1 (car listep)
p2 (cadr listep)
)
(if (> (car p1) (car p2))
(progn
(setq p1 (cadr listep)
p2 (car listep))
)
)
(setq giao T tt 0 pxl p1 listgiao nil)
(while (/= giao nil)
(setq pxl (list (+ (car pxl) tt) 0.0 0.0))
(command "xline" "v" pxl "")
(setq el (entlast))
(setq giao (acet-geom-intersectwith el spl 1))
(setq listgiao (append giao listgiao))
(command "erase" el "")
(setq tt kc)
)
(setq i 0)
(repeat (length listgiao)
(command "copy" bl "" dcb (nth i listgiao))
(setq i (1+ i))
)
)

  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#6 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 29 October 2010 - 06:40 PM

Của bạn đây. Mình mới làm cho bạn theo trục x. Bạn xem có đúng ý bạn không nhé.

Theo mình hiểu thì khoảng cách bạn í tính theo đường chim bay chứ phông phải chiếu xuống 1 trục nào đâu bạn.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#7 AutoTay.com

AutoTay.com

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 29 October 2010 - 06:59 PM

Theo mình hiểu thì khoảng cách bạn í tính theo đường chim bay chứ phông phải chiếu xuống 1 trục nào đâu bạn.

Đúng là thế!
Mình có rất nhiều hình vẽ phải vẽ theo kiểu này. Vẽ thủ công theo kiểu vẽ hình tròn với bán kính là khoảng cách giữa các Block sẽ mất rất nhiều thời gian.
Cảm ơn Phamngoctu, và cả Duy nữa! Các bạn thật nhiệt tình! :)
  • 0

#8 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 29 October 2010 - 11:55 PM

Theo mình hiểu thì khoảng cách bạn í tính theo đường chim bay chứ phông phải chiếu xuống 1 trục nào đâu bạn.

Theo em thì bạn AutoTay chỉ cần đưa cái đường chim bay về trục x sau khi ẩy xong thì trả về nhue cũ là được.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#9 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 30 October 2010 - 12:29 AM

Đúng là thế!
Mình có rất nhiều hình vẽ phải vẽ theo kiểu này. Vẽ thủ công theo kiểu vẽ hình tròn với bán kính là khoảng cách giữa các Block sẽ mất rất nhiều thời gian.
Cảm ơn Phamngoctu, và cả Duy nữa! Các bạn thật nhiệt tình! :)

A mình hiểu ý bạn rồi. Mình sẽ sửa lại cho bạn.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#10 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 30 October 2010 - 01:56 AM

Đúng là thế!
Mình có rất nhiều hình vẽ phải vẽ theo kiểu này. Vẽ thủ công theo kiểu vẽ hình tròn với bán kính là khoảng cách giữa các Block sẽ mất rất nhiều thời gian.
Cảm ơn Phamngoctu, và cả Duy nữa! Các bạn thật nhiệt tình! :)

Bạn dùng thử code này xong cho ý kiến nhé

(defun c:arspl ()
(setq bl (car (entsel "\nChon doi tuong can array"))
spl (car (entsel "\nChon spline duong dan"))
kc (getreal "\nNhap khoang cach can array: ")
dcb (cdr (assoc 10 (entget bl)))
listep (ACET-GEOM-OBJECT-END-POINTS spl)
p1 (car listep)
p2 (cadr listep)
)
(setq pxl p1)
(command "copy" bl "" dcb pxl)
(command "circle" pxl kc "")
(setq el (entlast))
(setq lgiao (acet-geom-intersectwith el spl 2))
(setq pxl (car lgiao))
(setq lgiao (list 0 0 0))
(command "erase" el "")
(while (> (length lgiao) 1)
(command "copy" bl "" dcb pxl)
(command "circle" pxl kc "")
(setq el (entlast))
(setq lgiao (acet-geom-intersectwith el spl 2))
(if (equal (car lgiao) pl1 0.001)
(setq giao (cadr lgiao))
(setq giao (car lgiao))
)
(setq pl1 pxl)
(setq pxl giao)
(command "erase" el "")
)
)

  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#11 phananh1490

phananh1490

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 October 2010 - 02:04 AM

Thủ công thì vẻ vòng tròn sau đó copy để lấy giao điểm.

có bác nào biết địa chỉ mấy cái block bàn ghế văn phòng làm việc chỉ dùm em cái.em đang cần cái này để làm đồ án mà chưa có thank các bác nhju
  • 0

#12 AutoTay.com

AutoTay.com

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 30 October 2010 - 02:17 PM

Chắc Phamngoctu đã thử rùi. Nhưng ko hiểu sao mình ko làm được!hix......
Sau khi nhập lệnh, mình ko chọn được đối tượng. Và mặc dù ko chọn được đt máy vẫn báo "chon spl duong dan" và "nhap khoang cach can array". :)
Mong được giúp đỡ thêm! Mình mới vẽ CAD nên có thể còn tiếp thu chậm, mong anh em thông cảm!
Thank các bạn nhiềuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu
  • 0

#13 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 30 October 2010 - 04:49 PM

Chắc Phamngoctu đã thử rùi. Nhưng ko hiểu sao mình ko làm được!hix......
Sau khi nhập lệnh, mình ko chọn được đối tượng. Và mặc dù ko chọn được đt máy vẫn báo "chon spl duong dan" và "nhap khoang cach can array". :)
Mong được giúp đỡ thêm! Mình mới vẽ CAD nên có thể còn tiếp thu chậm, mong anh em thông cảm!
Thank các bạn nhiềuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu

Sau khi nhập lệnh thì bạn chỉ chọn được đối tượng đơn thôi không chọn được nhóm đối tượng. khi chọn đối tượng thì bạn phải pick trúng đối tượng. Pick trật là hỏng hết. Nếu bạn muốn array nhóm đối tượng thì bạn phải block nó lại trước. Nếu nhu cầu của bạn muốn array nhóm đối tượng mình sẽ sửa cho bạn.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#14 AutoTay.com

AutoTay.com

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 30 October 2010 - 05:17 PM

Command: arspl

Chon doi tuong can array
Chon spline duong dan
Nhap khoang cach can array: 100
; error: no function definition: ACET-GEOM-OBJECT-END-POINTS

Kết quả Bạm có thể giải thích cho mình vì sao được chứ?
Thanhssssssssssssssssssss
  • 0

#15 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 30 October 2010 - 05:27 PM

Command: arspl

Chon doi tuong can array
Chon spline duong dan
Nhap khoang cach can array: 100
; error: no function definition: ACET-GEOM-OBJECT-END-POINTS

Kết quả Bạm có thể giải thích cho mình vì sao được chứ?
Thanhssssssssssssssssssss

Bạn thêm dòng (vl-load-com) vào đầu đoạn code là được.
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!